package sun.text.normalizer;

import java.util.MissingResourceException;
import java.security.AccessController;
import java.security.PrivilegedAction;
import java.io.InputStream;

public final class ICUData
{
    public ICUData() {
    }
    
    private static InputStream getStream(final Class<ICUData> clazz, final String s, boolean b) {
        InputStream resourceAsStream;
        if (System.getSecurityManager() != null) {
            resourceAsStream = (InputStream)AccessController.doPrivileged(new PrivilegedAction<InputStream>() {
                @Override
                public InputStream run() {
                    return clazz.getResourceAsStream(s);
                }
            });
        }
        else {
            resourceAsStream = clazz.getResourceAsStream(s);
        }
        if (resourceAsStream == null && b) {
            throw new MissingResourceException("could not locate data", clazz.getPackage().getName(), s);
        }
        return resourceAsStream;
    }
    
    public static InputStream getStream(String s) {
        return getStream(ICUData.class, s, false);
    }
    
    public static InputStream getRequiredStream(String s) {
        return getStream(ICUData.class, s, true);
    }
}
